<h1>Категории материалов <a href="?plugin=compositematerials&module=categoryMaterials&action=edit" class="inline"><i class="icon16 add"></i></a> </h1>
<form action="" method="post">
    <table class="light" style="width: 400px; margin-left: 30px;">
        <tr>
            <th scope="col">Имя категории</th>
            <th scope="col">По размеру</th>
            <th scope="col">Сортировка</th>
            <th scope="col"></th>
            <th scope="col"></th>
        </tr>
        {foreach $categories as $k=>$v}
       <tr>
        <td>
            {$v->getName()}
        </td>
        <td>
            <input name="sort[{$k}]" type="number" value="{$v->getSort()}" style="width: 50px;">
        </td>
       <td>
           <a href="?plugin=compositematerials&module=categoryMaterials&action=edit&id={$k}" class="inline"><i class="icon16 edit"></i></a>
       </td>
           <td>
               <a href="?plugin=compositematerials&module=categoryMaterials&action=delete&id={$k}" data-name="{$v->getName()}" class="inline category-delete"><i class="icon16 delete"></i></a>
           </td>
       </tr>
       {/foreach}
     <tr>
         <td></td>
         <td colspan="2">
             <input type="submit" value="Сортировать" class="button green">
    </table>
</form>
<script type="text/javascript">
    $(document).ready(function () {
        $('.category-delete').click(function () {
            var obj = $(this);
            var name = obj.data('name');
            if(confirm('Вы собираетесь удалить категорию материалов '+name+'! Будут удалены все материалы из продуктов, сами материалы, а также будут обновлены все цены продуктов с этими материалами! Удалить?')) {

                var success = function(response) {
                    if (response.status == 'ok') {
                        obj.closest('tr').remove();
                    } else {
                        alert(response.errors.join(','));
                    }
                };
                $.ajax({
                    url: obj.attr('href'),
                    type: 'get',
                    dataType: 'json',
                    success: success
                });
            } else {

            }
            return false;
        });
    });
</script>
